room {
  nam = "diary1";
  disp = "September 12, 1989";
  noinv = true;
  decor = [[
Finally a breakthrough! The chemical analysis of the drug is complete. We've finally identified the active ingredient in IAG-5.  The guys from the computer lab say that it took thirty-five hundred hours of computation, a figure that isn’t likely to shrink significantly in the near future.^
I asked to include the purchase of computers and two sound isolation booths for "cosmonauts" in the budget for the next fiscal year. If everything goes according to plan, the first "cosmonaut" will go to "flight" in three years.^
Just one thing left. Where can I find volunteers?^ ^
  ]] .. fmt.r('Nikolai.') .. [[
  ^ ^
  ]] .. fmt.c('      X - - - {#next|>>>}');
  enter = function ()
    theme_switch('diary')
  end
}:with {
  obj {
    nam = "#next",
    act = function()
      walk 'diary2'
    end
  }
}


room {
  nam = "diary2";
  disp = "February 4, 1995";
  noinv = true;
  decor = [[
Yesterday I met with Ruslan. It turns out that after the closure of our project, he did not waste time (unlike me). Surprisingly, he managed to buy the part of the building where our secret research institute was located. He also obtained the necessary equipment and even persuaded several former employees to return to research. He offered me a position as head of the laboratory, with a very good salary.^
I did not ask where he got that kind of money. Perhaps I should have. But how could I miss this opportunity! Ruslan assured me that this time he will find volunteers, which means that we’ll be able to complete our project. It might be true: today’s computers are far beyond what we had to work with in the eighties...
^ ^
  ]] .. fmt.r('Nikolai.') .. [[
  ^ ^
  ]] .. fmt.c('{#previous|<<<}  - X - -  {#next|>>>}');
  enter = function ()
    theme_switch('diary')
  end
}:with {
  obj {
    nam = "#previous",
    act = function()
      walk 'diary1'
    end
  },
  obj {
    nam = "#next",
    act = function()
      walk 'diary3'
    end
  }
}


room {
  nam = "diary3";
  disp = "May 15, 2002";
  noinv = true;
  decor = [[
I heard rumors about Ruslan and his ''volunteers'', and I don’t like them at all. I’ve known Ruslan for many years and I can’t at all imagine that he is capable of this. However, the note I found today raises some grave concerns.^
Today I'll talk with Ruslan. I hope my suspicions are groundless. I agreed to meet him on the roof after work.
^ ^
  ]] .. fmt.r('Nikolai.') .. [[
  ^ ^
  ]] .. fmt.c('{#previous|<<<}  - - X -  {#next|>>>}');
  enter = function ()
    theme_switch('diary')
  end
}:with {
  obj {
    nam = "#previous",
    act = function()
      walk 'diary2'
    end
  },
  obj {
    nam = "#next",
    act = function()
      walk 'diary4'
    end
  }
}


room {
  nam = "diary4";
  disp = "May 15, 2012";
  noinv = true;
  decor = [[
Today I found the diary of Nikolai, the former head of our laboratory. I was told that ten years ago he died under mysterious circumstances -- he fell from the roof, or something like that. Before reading this diary, I did not even suspect what we are really doing here. And now ... now I don't know what to do next. But I can't just leave it as is.^
]] .. fmt.c('...') .. [[
^I'll write everything down here. Everything that I find out. After what I've done, they're not likely to let me leave. But I had no other choice.
^ ^
  ]] .. fmt.r('Anton.') .. [[
  ^ ^
  ]] .. fmt.c('{#previous|<<<}  - - - X  {#next|###}');
  enter = function ()
    theme_switch('diary')
  end
}:with {
  obj {
    nam = "#previous",
    act = function()
      walk 'diary3'
    end
  },
  obj {
    nam = "#next",
    act = function()
      theme_switch('game')
      walk('menu')
    end
  }
}